        .org $0200   ; Programm startet hinter Stack


loop:
        lda $f001    ; lade Eingaberegister in ACCU
        and #03h     ; isoliere Programmwahl aus Bit 0 und 1

        cmp #03h     ; teste auf Wahl Messprogramm 3
        beq mess3    ; springe zu Messprogramm 3

        cmp #02h     ; teste auf Wahl Messprogramm 2    
        beq mess2    ; springe zu Messprogramm 2

        cmp #01h     ; teste auf Wahl Messprogramm 1
        beq mess1    ; springe zu Messprogramm 1
         
                     ; ab hier kann Code fr Programm 0 stehen
                     ; z.B. Vorheizen des Messaufbaus
        jmp loop     ; warte auf Programmwahl


mess1:               ;***********************************************

        lda #100d    ; lade Wert fr 100C
        sta $f000    ; Ausgabe Solltemperatur

        lda #01h     ; setze ein Bit als Zeichen, dass Mess1/Temp1
        sta $00      ; gestartet wurde und noch luft

m11:    lda $00      ; prfe ob Mess1/Temp1 noch luft
        bne m11      ; Ende wenn Monoflop-TimeOut NMI ausgelst hat

        lda #40d     ; lade Wert fr 40C                          
        sta $f000    ; als Warmhaltefunktion

m1:     jmp m1       ; Endlosschleife, warte auf Neustart


mess2:               ;***********************************************

        lda #100d    ; lade Wert fr 100C 
        sta $f000    ; Ausgabe Solltemperatur

        lda #01h     ; setze ein Bit als Zeichen, dass Mess2/Temp1
        sta $00      ; gestartet wurde und noch luft

m21:    lda $00      ; prfe ob Mess2/Temp1 noch luft
        bne m21      ; Ende wenn Monoflop-TimeOut NMI ausgelst hat

        lda #160d    ; lade Wert fr 160C
        sta $f000    ; Ausgabe Solltemperatur

        lda #01h     ; setze ein Bit als Zeichen, dass Mess2/Temp2
        sta $00      ; gestartet wurde und noch luft

m22:    lda $00      ; prfe ob Mess2/Temp2 noch luft
        bne m22      ; Ende wenn Monoflop-TimeOut NMI ausgelst hat

        lda #40d     ; lade Wert fr 40C
        sta $f000    ; als Warmhaltefunktion      

m2:     jmp m2       ; Endlosschleife, warte auf Neustart

                  
mess3:               ;***********************************************

        lda #100d    ; lade Wert fr 100C
        sta $f000    ; Ausgabe Solltemperatur

        lda #01h     ; setze ein Bit als Zeichen, dass Mess3/Temp1
        sta $00      ; gestartet wurde und noch luft

m31:    lda $00      ; prfe ob Mess3/Temp1 noch luft
        bne m31      ; Ende wenn Monoflop-TimeOut NMI ausgelst hat

        lda #160d    ; lade Wert fr 160C
        sta $f000    ; Ausgabe Solltemperatur

        lda #01h     ; setze ein Bit als Zeichen, dass Mess3/Temp2
        sta $00      ; gestartet wurde und noch luft

m32:    lda $00      ; prfe ob Mess3/Temp2 noch luft
        bne m32      ; Ende wenn Monoflop-TimeOut NMI ausgelst hat

        lda #220d    ; lade Wert fr 220C
        sta $f000    ; Ausgabe Solltemperatur

        lda #01h     ; setze ein Bit als Zeichen, dass Mess3/Temp2
        sta $00      ; gestartet wurde und noch luft

m33:    lda $00      ; prfe ob Mess3/Temp3 noch luft
        bne m33      ; Ende wenn Monoflop-TimeOut NMI ausgelst hat

        lda #40d     ; lade Wert fr 40C
        sta $f000    ; als Warmhaltefunktion      

m3:     jmp m3       ; Endlosschleife, warte auf Neustart


                     ;***********************************************
        .org $0340   ; Platziere IRQ-Routine genau auf eingestellten Vektor

        rti          ; zurck zum Hauptprogramm
                     ;***********************************************


                     ;***********************************************
        .org $0380   ; Platziere NMI-Routine genau auf eingestellten Vektor

        lda #00
        sta $00
        rti          ; zurck zum Hauptprogramm bzw. Int-Routine
                     ;***********************************************
.end
